=head1 NAME

Gtk2::Gdk::Geometry


=head1 METHODS

=head2 geometry = Gtk2::Gdk::Geometry-E<gt>B<new> 

=over

=back

=head2 scalar = $object-E<gt>B<base_height> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<base_width> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 (new_width, new_height) = $geometry->B<constrain_size> ($width, $height)

=head2 (new_width, new_height) = $geometry->B<constrain_size> ($flags, $width, $height)

=over

=over

=item * ... (list) 

=item * $flags (Gtk2::Gdk::WindowHints) optional, usually inferred from I<$geometry>

=back




The $flags argument, describing which fields in the geometry are valid, is
optional.  If omitted it will be inferred from the geometry itself.


=back

=head2 scalar = $object-E<gt>B<gravity> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<height_inc> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<max_aspect> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<max_height> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<max_width> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<min_aspect> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<min_height> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<min_width> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<width_inc> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back

=head2 scalar = $object-E<gt>B<win_gravity> ($newvalue=undef)

=over

=over

=item * $newvalue (scalar) 

=back

=back


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::Gdk::WindowHints

=over

=item * 'pos' / 'GDK_HINT_POS'

=item * 'min-size' / 'GDK_HINT_MIN_SIZE'

=item * 'max-size' / 'GDK_HINT_MAX_SIZE'

=item * 'base-size' / 'GDK_HINT_BASE_SIZE'

=item * 'aspect' / 'GDK_HINT_ASPECT'

=item * 'resize-inc' / 'GDK_HINT_RESIZE_INC'

=item * 'win-gravity' / 'GDK_HINT_WIN_GRAVITY'

=item * 'user-pos' / 'GDK_HINT_USER_POS'

=item * 'user-size' / 'GDK_HINT_USER_SIZE'

=back



=head1 SEE ALSO

L<Gtk2>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

